Subject: bug#13730: closed (Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Feb 2013 07:54:03 +0000

Your bug report

#13816: 24.3.50; Diff from Bzr-Log-View not highlighted

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: Stefan Monnier <[email-masked]>
Date: Tue, 26 Feb 2013 16:51:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I confirmed it has been fixed on:

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-02-26 on yamaoka-PC
Bzr revision: 111882 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11302000

Sorry for the noise.

Katsumi Yamaoka wrote:
> Stefan Monnier wrote:
>>> Recently turn-on-font-lock set to some hook turns font-lock
>>> on but turns it off immediately regardless of the value of
>>> global-font-lock-mode.  Here's a recipe:

>>> emacs -Q
>>> Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
>>> and visit some .el file.

>> Works fine on the trunk right now.  Can you confirm it was fixed if you
>> try a recent enough build?

> I build Emacs from the trunk almost everyday.  Now I use:

> In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
>  of 2013-02-26 on localhost
> Bzr revision: 111880 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11302000
> Configured using:
>  `configure --verbose --with-x-toolkit=lucid --without-imagemagick
>  --without-dbus --without-gconf --without-gsettings'

> I've reverted the 111870 change because of bug#13818, though.

> According to my tracing of run-mode-hooks, it turns on font-lock
> but turns it off by the last line:

> (defun run-mode-hooks (&rest hooks)
> [...]
>     ;; ON
>     (apply 'run-hooks (cons 'change-major-mode-after-body-hook hooks))
>     ;; OFF
>     (run-hooks 'after-change-major-mode-hook)))

Subject: 24.3.50; Diff from Bzr-Log-View not highlighted
From: <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 16 Feb 2013 12:10:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Visit a bzr branch, view the root log with "C-x v L", choose a revision
and invoke log-view-diff by typing "d". The diff that is shown should be
highlighted, but it isn't.
The trunk revision in which this stopped working is in (111784,11794].

In GNU Emacs 24.3.50.1 (i386-mingw-nt6.2.9200)
 of 2013-02-16 on MACHINE
Bzr revision: 111803 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.2.9200
Configured using:
 `configure --with-gcc (4.7) --cflags -I c:/gnuwin32/include --ldflags
 -L c:/gnuwin32/lib'

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Diff

Minor modes in effect:
  whitespace-mode: t
  diff-auto-refine-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x v L d M-x r e p o r t - e m a c s - b u g <ret
urn>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Finding changes in g:/emacs/trunk/...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils whitespace diff-mode add-log log-view easymenu
easy-mmode pcvs-util vc-bzr vc-sccs vc-svn vc-cvs vc-rcs vc
vc-dispatcher dired time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)